play.server

## Class PlayHandler.WebSocketInvocation

- java.lang.Object
- - play.Invoker.Invocation
  - - play.server.PlayHandler.WebSocketInvocation

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  PlayHandler

    public static class PlayHandler.WebSocketInvocation
    extends Invoker.Invocation

### Constructor Summary

Constructors
Constructor and Description
`WebSocketInvocation(java.util.Map<java.lang.String,java.lang.String> route, Http.Request request, Http.Inbound inbound, Http.Outbound outbound, org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.MessageEvent e)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()` Override this method
`Invoker.InvocationContext` `getInvocationContext()`
`boolean` `init()` Init the call (especially useful in DEV mode to detect changes)
`void` `onException(java.lang.Throwable e)` Things to do if the Invocation code thrown an exception
`void` `onSuccess()` Things to do when the whole invocation has succeeded (before + execute + after)

### Methods inherited from class play.Invoker.Invocation

`_finally, after, before, preInit, run, suspend`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebSocketInvocation

    public WebSocketInvocation(java.util.Map<java.lang.String,java.lang.String> route,
                               Http.Request request,
                               Http.Inbound inbound,
                               Http.Outbound outbound,
                               org.jboss.netty.channel.ChannelHandlerContext ctx,
                               org.jboss.netty.channel.MessageEvent e)

### Method Detail

#### init

    public boolean init()

Description copied from class: `Invoker.Invocation`
Init the call (especially useful in DEV mode to detect changes)

Overrides:
  `init` in class `Invoker.Invocation`
Returns:
  true if successful

#### getInvocationContext

    public Invoker.InvocationContext getInvocationContext()

Specified by:
  `getInvocationContext` in class `Invoker.Invocation`

#### execute

    public void execute()
                 throws java.lang.Exception

Description copied from class: `Invoker.Invocation`
Override this method

Specified by:
  `execute` in class `Invoker.Invocation`
Throws:
  `java.lang.Exception` - Thrown if Invocation encounters any problems

#### onException

    public void onException(java.lang.Throwable e)

Description copied from class: `Invoker.Invocation`
Things to do if the Invocation code thrown an exception

Overrides:
  `onException` in class `Invoker.Invocation`
Parameters:
  `e` - The exception

#### onSuccess

    public void onSuccess()
                   throws java.lang.Exception

Description copied from class: `Invoker.Invocation`
Things to do when the whole invocation has succeeded (before + execute + after)

Overrides:
  `onSuccess` in class `Invoker.Invocation`
Throws:
  `java.lang.Exception` - Thrown if Invoker encounters any problems